package com.goldencode.hotel.dmo._temp;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with a temporary table.
 */
public interface TRoomType1
extends Temporary
{
   /**
    * Getter: Type of Room
    * 
    * @return  Type of Room
    */
   public integer getType();

   /**
    * Setter: Type of Room
    * 
    * @param   type
    *          Type of Room
    */
   public void setType(NumberType type);

   /**
    * Getter: Room Type
    * 
    * @return  Room Type
    */
   public character getName();

   /**
    * Setter: Room Type
    * 
    * @param   name
    *          Room Type
    */
   public void setName(Text name);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends TRoomType1, Buffer
   {
   }
}
