package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface CheckoutProgramFCharges
extends CommonFrame
{
   public static final Class configClass = CheckoutProgramFChargesDef.class;

   public decimal getCCharges();

   public void setCCharges(decimal parm);

   public void setCCharges(double parm);

   public void setCCharges(BaseDataType parm);

   public FillInWidget widgetCCharges();

   public decimal getRDiscount();

   public void setRDiscount(decimal parm);

   public void setRDiscount(double parm);

   public void setRDiscount(BaseDataType parm);

   public FillInWidget widgetRDiscount();

   public decimal getCSalestax();

   public void setCSalestax(decimal parm);

   public void setCSalestax(double parm);

   public void setCSalestax(BaseDataType parm);

   public FillInWidget widgetCSalestax();

   public decimal getCTotal();

   public void setCTotal(decimal parm);

   public void setCTotal(double parm);

   public void setCTotal(BaseDataType parm);

   public FillInWidget widgetCTotal();

   public static class CheckoutProgramFChargesDef
   extends WidgetList
   {
      FillInWidget cCharges = new FillInWidget();

      FillInWidget rDiscount = new FillInWidget();

      FillInWidget cSalestax = new FillInWidget();

      FillInWidget cTotal = new FillInWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setTitle("Total");
         frame.setSideLabels(true);
         cCharges.setDataType("decimal");
         cCharges.setRow(1);
         cCharges.setColumn(15);
         cCharges.setAlign(ControlEntity.ALIGN_COLON);
         rDiscount.setDataType("decimal");
         rDiscount.setRow(2);
         rDiscount.setColumn(15);
         rDiscount.setAlign(ControlEntity.ALIGN_COLON);
         cSalestax.setDataType("decimal");
         cSalestax.setRow(3);
         cSalestax.setColumn(15);
         cSalestax.setAlign(ControlEntity.ALIGN_COLON);
         cTotal.setDataType("decimal");
         cTotal.setRow(4);
         cTotal.setColumn(15);
         cTotal.setAlign(ControlEntity.ALIGN_COLON);
         cTotal.setFormat("$>>>,>>9.99");
         cTotal.setLabel("Total");
         cTotal.setColumnLabel("Total");
         cCharges.setFormat("$>>,>>9.99");
         cCharges.setLabel("Room Charges");
         cCharges.setColumnLabel("Room Charges");
         cSalestax.setFormat("$>>>,>>9.99");
         cSalestax.setLabel("Sales Tax");
         cSalestax.setColumnLabel("Sales Tax");
         rDiscount.setFormat(">>9.99%");
         rDiscount.setLabel("Discount %");
         rDiscount.setColumnLabel("Discount %");
      }

      {
         addWidget("cCharges", "c-charges", cCharges);
         addWidget("rDiscount", "r-discount", rDiscount);
         addWidget("cSalestax", "c-salestax", cSalestax);
         addWidget("cTotal", "c-total", cTotal);
      }
   }
}
