package com.goldencode.hotel;

import com.goldencode.p2j.util.*;
import com.goldencode.hotel.ui.*;
import com.goldencode.p2j.ui.*;

import static com.goldencode.p2j.util.BlockManager.*;
import static com.goldencode.p2j.util.CompareOps.*;
import static com.goldencode.p2j.util.TextOps.*;
import static com.goldencode.p2j.ui.LogicalTerminal.*;

/**
 * Business logic (converted to Java from the 4GL source code
 * in login.p).
 */
public class Login
{
   LoginFLogo fLogoFrame = GenericFrame.createFrame(LoginFLogo.class, "f-logo");

   LoginFLogin fLoginFrame = GenericFrame.createFrame(LoginFLogin.class, "f-login");

   character uName = SharedVariableManager.addVariable(ScopeLevel.GLOBAL, "uName", new character(""));

   /**
    * External procedure (converted to Java from the 4GL source code
    * in login.p).
    */
   public void execute()
   {
      character uname = UndoableFactory.character();
      character upass = UndoableFactory.character();
      character safeName = UndoableFactory.character();
      
      externalProcedure(Login.this, new Block((Body) () -> 
      {
         fLogoFrame.openScope();
         fLoginFrame.openScope();
         fLoginFrame.setRow(new decimal(new integer(20)));
         uName.setUnknown();
         
         OnPhrase[] onPhrase0 = new OnPhrase[]
         {
            new OnPhrase(Condition.ENDKEY, Action.NEXT, "loopLabel0"),
            new OnPhrase(Condition.ERROR, Action.NEXT, "loopLabel0"),
            new OnPhrase(Condition.STOP, Action.NEXT, "loopLabel0")
         };
         
         repeat("loopLabel0", onPhrase0, new Block((Body) () -> 
         {
            fLogoFrame.view();
            fLoginFrame.clearAll(true);
            
            FrameElement[] elementList0 = new FrameElement[]
            {
               new Element(uname, fLoginFrame.widgetUname()),
               new Element(upass, fLoginFrame.widgetUpass())
            };
            
            fLoginFrame.update(elementList0);
            
            if (_isEqual(uname, "quit"))
            {
               quit();
            }
            
            if ((SecurityOps.setUserId(uname, upass)).booleanValue())
            {
               uName.assign(SecurityOps.getUserId());
               leave("loopLabel0");
            }
            else
            {
               safeName.assign(_isUnknown(uname) ? new character("?") : uname);
               safeName.assign(_isEqual(length(safeName), 0) ? new character("''") : safeName);
               message(concat("Invalid userid (", safeName, new character(") or password.")));
               next("loopLabel0");
            }
         }));
         
         ControlFlowOps.invoke("main.p");
      }));
   }
}
