package com.goldencode.hotel.dmo._temp;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with a temporary table.
 */
public interface TFloor1
extends Temporary
{
   /**
    * Getter: Floor
    * 
    * @return  Floor
    */
   public integer getFloor();

   /**
    * Setter: Floor
    * 
    * @param   floor
    *          Floor
    */
   public void setFloor(NumberType floor);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends TFloor1, Buffer
   {
   }
}
