package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface RatesReportRf1
extends CommonFrame
{
   public static final Class configClass = RatesReportRf1Def.class;

   public integer getFloor();

   public void setFloor(integer parm);

   public void setFloor(int parm);

   public void setFloor(BaseDataType parm);

   public FillInWidget widgetFloor();

   public character getName();

   public void setName(character parm);

   public void setName(String parm);

   public void setName(BaseDataType parm);

   public FillInWidget widgetName();

   public date getStartDate();

   public void setStartDate(date parm);

   public void setStartDate(BaseDataType parm);

   public FillInWidget widgetStartDate();

   public date getEndDate();

   public void setEndDate(date parm);

   public void setEndDate(BaseDataType parm);

   public FillInWidget widgetEndDate();

   public decimal getRate();

   public void setRate(decimal parm);

   public void setRate(double parm);

   public void setRate(BaseDataType parm);

   public FillInWidget widgetRate();

   public static class RatesReportRf1Def
   extends WidgetList
   {
      FillInWidget floor = new FillInWidget();

      FillInWidget name = new FillInWidget();

      FillInWidget startDate = new FillInWidget();

      FillInWidget endDate = new FillInWidget();

      FillInWidget rate = new FillInWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(0);
         frame.setWidthChars(132);
         frame.setNoUnderline(true);
         frame.setNoLabels(true);
         frame.setNoBox(true);
         floor.setTable("t-floor");
         floor.setDataType("integer");
         floor.setColumn(1);
         name.setTable("t-room-type");
         name.setDataType("character");
         name.setColumn(10);
         startDate.setDbname("hotel");
         startDate.setTable("rate");
         startDate.setDataType("date");
         startDate.setColumn(40);
         endDate.setDbname("hotel");
         endDate.setTable("rate");
         endDate.setDataType("date");
         endDate.setColumn(60);
         rate.setDbname("hotel");
         rate.setTable("rate");
         rate.setDataType("decimal");
         rate.setColumn(80);
         floor.setTable("t-floor");
         name.setTable("t-room-type");
         startDate.setDbname("hotel");
         startDate.setTable("rate");
         endDate.setDbname("hotel");
         endDate.setTable("rate");
         rate.setDbname("hotel");
         rate.setTable("rate");
         name.setAt(true);
         name.setAtFormatLength(20);
         rate.setAt(true);
         rate.setAtFormatLength(10);
         endDate.setFormat("99/99/99");
         endDate.setLabel("To Date");
         endDate.setColumnLabel("To Date");
         rate.setFormat("->>,>>9.99");
         rate.setLabel("Rate");
         rate.setColumnLabel("Rate");
         name.setFormat("x(20)");
         name.setLabel("Room Type");
         floor.setFormat(">>9");
         floor.setLabel("Floor");
         floor.setColumnLabel("Floor");
         startDate.setFormat("99/99/99");
         startDate.setLabel("From Date");
         startDate.setColumnLabel("From Date");
      }

      {
         addWidget("floor", "floor", floor);
         addWidget("name", "name", name);
         addWidget("startDate", "start-date", startDate);
         addWidget("endDate", "end-date", endDate);
         addWidget("rate", "rate", rate);
      }
   }
}
